#
# spec file for package adlmidi
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2019, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           adlmidi
Version:        1.2.6.2
Release:        4.3
Summary:        A MIDI player that uses OPL3 emulation
License:        GPL-2.0-or-later AND GPL-3.0-only
URL:            https://bisqwit.iki.fi/source/adlmidi.html
#Git-Clone:     https://github.com/bisqwit/adlmidi.git
Source:         https://bisqwit.iki.fi/src/arch/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM
Patch1:         adlmidi-fix-arm.patch
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(sdl2)

%description
AdlMIDI is a commandline program that plays MIDI files using software
OPL3 emulation (FM synthesis).

%prep
%autosetup -p1
sed -i 's|-march=native||' Makefile

%build
export CPPFLAGS='%{optflags}'
make %{?_smp_mflags}

%install
install -D -m 0755 adlmidi %{buildroot}%{_bindir}/adlmidi

%files
%doc README.html
%{_bindir}/adlmidi

%changelog
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Tue Oct  6 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Fix build on Arm and ppc:
  * adlmidi-fix-arm.patch
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Sun Mar 10 2019 Martin Hauke <mardnh@gmx.de>
- Initial package, version 1.2.6.2
